# Interface UseMethodConfig<ReturnTypeTarget, ParameterSource, ReturnTypeSource, ParameterTarget>

interface UseMethodConfig<
ReturnTypeTarget = any,
ParameterSource = any,
ReturnTypeSource = any,
ParameterTarget = any,
> {
adapter?: {
parameter?: MethodParameterAdapterFunction<
ParameterSource,
ParameterTarget,
>;
result?: MethodResultAdapterFunction<ReturnTypeSource, ReturnTypeTarget>;
};
}

#### Type Parameters

- ReturnTypeTarget = any
- ParameterSource = any
- ReturnTypeSource = any
- ParameterTarget = any

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:14

#####
Index

### Properties

adapter?

##
Properties

### `Optional` adapter

adapter?: {
parameter?: MethodParameterAdapterFunction<
ParameterSource,
ParameterTarget,
>;
result?: MethodResultAdapterFunction<ReturnTypeSource, ReturnTypeTarget>;
}

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:20